Resolve canonical instrument identifiers
curl --request GET \
--url https://api.itoflow.ai/symbols/resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/symbols/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/symbols/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"instrument": {
"currency": "<string>",
"exchange": "<string>",
"name": "<string>",
"siq_symbol": "<string>",
"broker_symbol": "<string>",
"isin": "<string>",
"mic": "<string>"
},
"ok": true
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "canonical_currency_missing",
"message": "<string>",
"ok": false,
"missing_evidence": [
"<string>"
]
}Market data
Resolve canonical instrument identifiers
Resolve an instrument identifier for portfolio import. This canonical symbol lookup accepts Itoflow symbol, ticker, broker symbol, ISIN, Itoflow exchange code, ISO 10383 MIC, and currency evidence. Conflicting, incomplete or unsupported evidence is rejected rather than guessed.
Operation ID: getSymbolsResolve.
GET
https://api.itoflow.ai
/
symbols
/
resolve
Resolve canonical instrument identifiers
curl --request GET \
--url https://api.itoflow.ai/symbols/resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/symbols/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/symbols/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"instrument": {
"currency": "<string>",
"exchange": "<string>",
"name": "<string>",
"siq_symbol": "<string>",
"broker_symbol": "<string>",
"isin": "<string>",
"mic": "<string>"
},
"ok": true
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "canonical_currency_missing",
"message": "<string>",
"ok": false,
"missing_evidence": [
"<string>"
]
}